Subject: [bug#47643] WIP-GNOME

From: 宋文武 <[email-masked]>
Date: Sat, 10 Apr 2021 19:24:13 +0800

Leo Prikler <[email-masked]> writes:

> Hi,
>
> I've cleaned up your GStreamer patches a little and rebased them on staging.
> The patch set I'm about to send should both apply cleanly and build, but I
> haven't yet tested, whether it also runs okay.

Thank you!
I have replied my reviews to the patches and here will do a summary.

> Raghav Gururajan (10):
>   gnu: gstreamer: Update to 1.18.4.
gtk+ is only used for an example, so I think we can remove it from inputs.

>   gnu: gst-plugins-base: Update to 1.18.4.
>   gnu: gst-plugins-base: Add missing inputs to enable more features.
First patch should only make the update, and I think the second patch
have some uncessary inputs.

>   gnu: gst-plugins-good: Update to 1.18.4.
>   gnu: gst-plugins-ugly: Update to 1.18.4.
>   gnu: gst-libav: Update to 1.18.4.
Trivial updates are good..

>   gnu: gst-plugins-bad: Update to 1.18.4.
>   gnu: gst-plugins-bad: Add missing inputs to enable more features.
>   gnu: gst-plugins-bad: Disable few more failing tests.
I think there should be 2 patches, one for update, and one for enable
more features.  Disable failing tests should be include into the first
one which broken tests (or 3 patches if tests are already broken).

>   gnu: gst-editing-services: Update to 1.18.4.
Also one for update, one for enable more features if possible.

And I don't think wrap thoes packages with 'glib-or-gtk? t' with inputs
as glib-networking, gsettings-desktop-schema are very useful, maybe I'm
wrong?

>
>  gnu/packages/gstreamer.scm | 262 ++++++++++++++++++++++++++++---------
>  1 file changed, 199 insertions(+), 63 deletions(-)
>
> --
> 2.31.1

In the end, 2 trivial update patches for gstreamer-docs and gst-python:

>From 4f62b9c035ca921dcf4b13189e557a841f967903 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <[email-masked]>
Date: Sat, 10 Apr 2021 19:04:44 +0800
Subject: [PATCH 1/2] gnu: gstreamer-docs: Update 1.18.4.

* gnu/packages/gstreamer.scm (gstreamer-docs): Update to 1.18.4.
---
 gnu/packages/gstreamer.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gstreamer.scm b/gnu/packages/gstreamer.scm
index 0b5f14342e..5e2f17faf5 100644
--- a/gnu/packages/gstreamer.scm
+++ b/gnu/packages/gstreamer.scm
@@ -401,7 +401,7 @@ arrays of data.")
 (define-public gstreamer-docs
   (package
     (name "gstreamer-docs")
-    (version "1.18.2")
+    (version "1.18.4")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -409,7 +409,7 @@ arrays of data.")
                     "/gstreamer-docs-" version ".tar.xz"))
               (sha256
                (base32
-                "07hrgn11ll16yahyyh5684k8ms1j9npsyb8lj0skwbapin4czshm"))))
+                "02mk11095wrci3k9924pp33k7rcj9w48bp3dwz2nriwknbbv56bq"))))
     (build-system trivial-build-system)
     (arguments
      `(#:modules ((guix build utils))
-- 
2.30.0

>From b5fb89d01d5bef5aafc85f518e92f8827d842ec2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <[email-masked]>
Date: Sat, 10 Apr 2021 19:06:40 +0800
Subject: [PATCH 2/2] gnu: python-gst: Update to 1.18.4.

* gnu/packages/gstreamer.scm (python-gst): Update to 1.18.4.
---
 gnu/packages/gstreamer.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gstreamer.scm b/gnu/packages/gstreamer.scm
index 5e2f17faf5..31b6406029 100644
--- a/gnu/packages/gstreamer.scm
+++ b/gnu/packages/gstreamer.scm
@@ -972,7 +972,7 @@ given, also pass them to the build system instead of the ones used by PKG."
 (define-public python-gst
   (package
     (name "python-gst")
-    (version "1.18.2")
+    (version "1.18.4")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -980,7 +980,7 @@ given, also pass them to the build system instead of the ones used by PKG."
                     "gst-python-" version ".tar.xz"))
               (sha256
                (base32
-                "171qxzndii7ynn9ag3a12h9vyydxzwy1j4ip3cb8hgim1dv0z7g1"))))
+                "13h9qzfz8s1gyj2ar9q2gf5346sgdv6jv8hj7aw0hpl2gs5f0s6b"))))
     (build-system meson-build-system)
     (arguments
      `(#:modules ((guix build meson-build-system)
-- 
2.30.0